Subject: Re: Is mac learning on AC side required or optional or forbidden forVPWS?

From: "Marc Lasserre" <[email-masked]>
Date: Wed, 11 Jan 2006 14:02:33 +0100

----- Original Message ----- 
  From: Fengger 
  To: 'Marc Lasserre' ; [email-masked] 
  Sent: Wednesday, January 11, 2006 1:44 PM
  Subject: 答复: Is mac learning on AC side required or optional or forbidden forVPWS?

  Thank Marc.

  Then I want to discuss another related case.

  Can I deduce so: If the PW is vlan based, the vlan shouldn’t include more than one customer-facing port on the PE?

  Because once the vlan includes more then one customer-facing port, then learning is needed in the AC side.

  Certainly, as what you have said, it doesn’t prevent specific implementations from supporting such case.

Fengger,

Your understanding is correct.

  If my above understanding is wrong, then the below questions may be ignored. Otherwise, I’d like to continue another related 

  question. : )

  If the draft proposes that one vlan only includes one customer-facing port on the PE, then why doesn’t the draft introduces “port+vlan” based

  PW but only the vlan-base PW? I think “port+vlan” based PW is more scalable than vlan-based PW because the latter can support up to 4K

  customers while the former can support much more. In other words, I think in this case, the vlan 100 on port 1 should be mapped to a VC label differently

  from the vlan 100 on port 2.

This is also implementation dependent. Such capabilities (port/VLAN combinations) can be supported.

  Maybe my question is too naive, but please fix me.

  Thanks!

  - Fengger 

------------------------------------------------------------------------------

  发件人: Marc Lasserre [mailto:[email-masked]] 
  发送时间: 2006年1月11日 18:08
  收件人: Fengger; [email-masked]
  主题: Re: Is mac learning on AC side required or optional or forbidden forVPWS?

  Fengger,

  VPWS is defined as a p2p service and hence no learning is required. This point is clearly specified in both the l2vpn charter and RFC4026. Not being a requirement does not prevent specific implementations from supporting add'l capabilities such as the ability to learn MACs when multiple ports are mapped to a VPWS.

  Marc

    ----- Original Message ----- 

    From: Fengger 

    To: [email-masked] 

    Sent: Wednesday, January 11, 2006 2:37 AM

    Subject: Is mac learning on AC side required or optional or forbidden forVPWS?

    WG,

    For VPLS, the draft has explicitly specified that mac learning/bridging must be supported on AC side.

    But it doesn’t how to do for VPWS on the AC side.

    I have read some vendor’s implementation document, whose understandings are different.

    Some of them treat VPWS as absolute P2P connection, on each PE, one PW only corresponds to one port or

    Only corresponds one vlan on one port. So there is no learning/bridging on the AC side.

    But some of them understand it differently, on each PE, there are more than one ports can map to one PW or

    One vlan which includes more than one customer-facing ports can map to one PW. In this case, learning/bridging on AC side

    Is necessary.

    So, I think the requirement for VPWS should explicitly outline this point. Should specify if learning/bridging for VPWS on the AC side is required

    , optional or forbidden.

    Thanks and BR

    Fengger